2 ######################################################
6 ######################################################
10 if test -z "${MH_OBJ_DIR}"; then
11 srcdir
=`dirname $0`/..
/..
12 MH_OBJ_DIR
=`cd $srcdir && pwd`; export MH_OBJ_DIR
15 .
"$MH_OBJ_DIR/test/common.sh"
19 expected
=$MH_TEST_DIR/$$.expected
20 expected_err
=$MH_TEST_DIR/$$.expected_err
21 actual
=$MH_TEST_DIR/$$.actual
22 actual_err
=$MH_TEST_DIR/$$.actual_err
27 Usage: mhparam [profile-components] [switches]
34 # The exit status is 1 with -help, so invert it to prevent
35 # triggering immediate exit due to set -e.
36 ! mhparam
-help >$actual 2>&1
37 check
$expected $actual
40 if ! mhparam
-v | grep '^mhparam --' >/dev
/null
; then
41 echo "$0: mhparam -v generated unexpected output" 1>&2
42 failed
=`expr ${failed:-0} + 1`
45 # check unknown option
46 run_test
'mhparam -nonexistent' 'mhparam: -nonexistent unknown'
49 cp $MH_TEST_DIR/Mail
/.mh_profile
$expected
50 # -all adds current folder
51 echo 'Current-Folder: '`folder -f` >>$expected
53 check
$expected $actual 'keep first'
55 # check -all with a component
56 echo 'mhparam: profile-components ignored with -all' >$expected_err
57 mhparam
-all path
>$actual 2>$actual_err
58 check
$expected $actual 'keep first'
59 check
$expected_err $actual_err
61 # check -all with -components
62 echo 'mhparam: -components ignored with -all' >$expected_err
63 mhparam
-all -components >$actual 2>$actual_err
64 check
$expected $actual
65 check
$expected_err $actual_err
68 run_test
'mhparam path' "$MH_TEST_DIR/Mail"
70 # check more than one component, which enables -component
71 echo 'AliasFile: aliases' >>"$MH_TEST_DIR/Mail/.mh_profile"
72 run_test
'mhparam path AliasFile' "path: $MH_TEST_DIR/Mail
76 run_test
'mhparam -component Path' "Path: $MH_TEST_DIR/Mail"
78 # check -component, note that component name of argument is echoed exactly
79 run_test
'mhparam -component path' "path: $MH_TEST_DIR/Mail"
80 run_test
'mhparam -component PATH' "PATH: $MH_TEST_DIR/Mail"
83 run_test
'mhparam -component -nocomponent path' "$MH_TEST_DIR/Mail"
84 run_test
'mhparam -nocomponent path AliasFile' "$MH_TEST_DIR/Mail
87 # check nonexistent component
88 run_test
'mhparam nonexistent' ''
90 # check that return status counts nonexistent components
92 mhparam path context nonexistent1 nonexistent2 nonexistent3
>/dev
/null
96 # mhparam -debug (undocumented)
97 # Some of its output depends on configure options, so don't bother to
98 # check for correctness here.
99 mhparam
-debug >/dev
/null